﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RadGridView.ascx.cs" Inherits="MvcApplication5.Views.Home.RadGridView" %>
<%@ Import Namespace="System.Linq.Dynamic" %>
<%@ Import Namespace="Telerik.Web.Mvc" %>
<%@ Import Namespace="MvcApplication5.Controllers" %>
<%@ Import Namespace="MvcApplication5.Models" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<asp:ScriptManager ID="ScriptManager1" EnablePartialRendering="false" runat="server" />
<% Html.BeginForm(); %>

<%= Html.RenderRadGrid(grid => 
   {
       grid.ID = "RadGrid1";
       grid.AllowPaging = false;
       grid.AllowSorting = false;
       grid.AutoGenerateColumns = false;
       grid.MasterTableView.DataKeyNames = new[] {"EmployeeID"};
       
       GridBoundColumn column = new GridBoundColumn();
       grid.MasterTableView.Columns.Add(column);
       column.UniqueName = "EmployeeID";
       column.HeaderText = "EmployeeID";
       column.DataField = "EmployeeID";
       

       column = new GridBoundColumn();
       grid.MasterTableView.Columns.Add(column);
       column.UniqueName = "FirstName";
       column.HeaderText = "FirstName";
       column.DataField = "FirstName";
       
       column = new GridBoundColumn();
       grid.MasterTableView.Columns.Add(column);
       column.UniqueName = "LastName";
       column.HeaderText = "LastName";
       column.DataField = "LastName";

       grid.ClientSettings.ClientEvents.OnRowClick = "RowClick";

       grid.DataSource = ViewData.Model;

       grid.PageSize = (int)Session["PageSize"];

       grid.DataBind();
       
   }, "Vista") %>

<script type="text/javascript">
    function RowClick() {
        alert("shiiiitttt");
    }
</script>

<% Html.EndForm(); %>